import type {GroupListResponseModel} from '@/helpers/models';
import {groupListResponse} from '@/helpers/mocks/groups/groupListResponse';

export const fetchMockData = <T>(mockData: T, name: string): Promise<T> => {
  console.debug(`${name}. VITE_USE_REAL_BACKEND===false in DEV mode. Returning mock data:`, mockData);
  return new Promise(resolve => {
    setTimeout(() => {
      resolve(mockData);
    }, 1000);
  });
};

export const getGroupListResponseModels = (): GroupListResponseModel[] => {
  const _groups: GroupListResponseModel[] = [groupListResponse];

  for (let x = 2; x < 500; x++) {
    const y = JSON.parse(JSON.stringify(groupListResponse));
    y.id = `school1-group${x}`;
    y.attributes.name.value = y.id;
    if (x % 2 === 0) {
      y.allowedActions = ['edit'];
    }
    y.schoolGroupType = 'school_class';
    _groups.push(y);
  }
  return _groups;
};
